Page MenuHomePhabricator

[Bug] Arrow in the "Jump to Top" circle is not centered on RTL wikis (βeta)
Closed, ResolvedPublicBUG REPORT

Description

The position of arrow in Urdu wikipedia is not correct.

See the English Wikipedia βeta's arrow (white) position. Its Located in the center.


But the position of Urdu βeta's arrow (white) is not correct.

Developer notes

As pointed out in T211078#4796838 fixing this involves removing a block of CSS
The style was added as part of T120514 (for a very similar issue). This no longer seems necessary (I suspect something changed elsewhere, but git blaming is very difficult to work out why)

QA steps

  • Make sure you are opted into beta
  • Scroll down page
  • Scroll up page so the blue circle with arrow appears in left or right corner
  • Confirm the arrow looks centered in the blue circle.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 4 2018, 6:08 AM
BukhariSaeed updated the task description. (Show Details)Dec 4 2018, 6:09 AM
Aklapper renamed this task from Position of arrow in Urdu Wiki (βeta) to Arrow in the "Jump to Top" circle is not centered in Urdu Wiki (βeta).Dec 4 2018, 9:15 AM
MuhammadShuaib added a subscriber: MuhammadShuaib.EditedDec 4 2018, 9:22 AM

I checked arabic and persian wikis and found this issue there as well. So I think this issue exists in all rtl wikis.

Aklapper renamed this task from Arrow in the "Jump to Top" circle is not centered in Urdu Wiki (βeta) to Arrow in the "Jump to Top" circle is not centered on RTL wikis (βeta).Dec 4 2018, 10:06 AM
Aklapper added a project: RTL.
Restricted Application added a project: I18n. · View Herald TranscriptDec 4 2018, 10:06 AM

Ironically, removing

	/* center arrow in RTL wikis */
	.rtl > & .arrow-up {
		transform: translate( 50%, -50% );
	}

in the file mediawiki/skins/MinervaNeue/resources/skins.minerva.options/backtotop.less seems to solve the problem? :)

pmiazga moved this task from Needs triage to Triaged on the Mobile board.Dec 11 2018, 10:41 PM
Jdlrobson renamed this task from Arrow in the "Jump to Top" circle is not centered on RTL wikis (βeta) to Bug: Arrow in the "Jump to Top" circle is not centered on RTL wikis (βeta).Dec 11 2018, 11:37 PM
Jdlrobson renamed this task from Bug: Arrow in the "Jump to Top" circle is not centered on RTL wikis (βeta) to [Bug] Arrow in the "Jump to Top" circle is not centered on RTL wikis (βeta).Dec 11 2018, 11:47 PM
Jdlrobson triaged this task as Normal priority.
Jdlrobson added a project: good first bug.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Jdlrobson added a subscriber: Jdlrobson.

This is a bug.

TheDJ changed the subtype of this task from "Task" to "Bug Report".Mar 12 2019, 8:05 PM

Change 496377 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/skins/MinervaNeue@master] Fix position of back-to-top arrow in rtl wikis

https://gerrit.wikimedia.org/r/496377

Ammarpad claimed this task.Mar 14 2019, 8:05 AM
Jdlrobson updated the task description. (Show Details)Mar 14 2019, 11:28 PM

Moving into the sprint board after merging! Thank you to our volunteer @Ammarpad for fixing this!

Change 496377 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Fix position of back-to-top arrow in rtl wikis

https://gerrit.wikimedia.org/r/496377

Ammarpad closed this task as Resolved.Mar 15 2019, 4:18 AM